libsigc++: sigc::track_obj_functor1< T_functor, T_obj1 > Class Template Reference

libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sigc::track_obj_functor1< T_functor, T_obj1 > Class Template Reference
Adaptors » track_obj()

track_obj_functor1 wraps a functor and stores a reference to a trackable object. More...

`#include <sigc++/adaptors/track_obj.h>`

Inheritance diagram for sigc::track_obj_functor1< T_functor, T_obj1 >:
[legend]

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait< T_functor >::adaptor_type | adaptor_type
typedef adaptor_trait< T_functor >::result_type | result_type

## Public Member Functions
| track_obj_functor1 (const T_functor& _A_func, const T_obj1& _A_obj1)
| Constructs a track_obj_functor1 object that wraps the passed functor and stores a reference to the passed trackable object. More...
result_type | operator() ()
| Invokes the wrapped functor. More...
template<typename T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 , typename T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6, T_arg7 _A_arg7)
| Invokes the wrapped functor passing on the arguments. More...
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<typename T_functor, typename T_obj1>
class sigc::track_obj_functor1< T_functor, T_obj1 >

track_obj_functor1 wraps a functor and stores a reference to a trackable object.

Use the convenience function track_obj() to create an instance of track_obj_functor1.

Template Parameters

  T_functor | The type of functor to wrap.
  T_obj1 | The type of a trackable object.

Since libsigc++ 2.4:

## Member Typedef Documentation

template <typename T_functor , typename T_obj1 >

typedef adapts<T_functor>::adaptor_type sigc::track_obj_functor1< T_functor, T_obj1 >::adaptor_type

template <typename T_functor , typename T_obj1 >

typedef adaptor_type::result_type sigc::track_obj_functor1< T_functor, T_obj1 >::result_type

## Constructor & Destructor Documentation

template <typename T_functor , typename T_obj1 >

sigc::track_obj_functor1< T_functor, T_obj1 >::track_obj_functor1 | ( | const T_functor & | _A_func,
|  | const T_obj1 & | _A_obj1
| ) |  |
| inline

Constructs a track_obj_functor1 object that wraps the passed functor and stores a reference to the passed trackable object.

Parameters

  _A_func | Functor.
  _A_obj1 | Trackable object.

## Member Function Documentation

template <typename T_functor , typename T_obj1 >

result_type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( |  | ) |
| inline

Invokes the wrapped functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 >

deduce_result_type<T_arg1>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1 | ) |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 >

deduce_result_type<T_arg1, T_arg2>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 , typename T_arg3 >

deduce_result_type<T_arg1, T_arg2, T_arg3>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.
  _A_arg6 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

template <typename T_functor , typename T_obj1 >
template <typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 , typename T_arg7 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type sigc::track_obj_functor1< T_functor, T_obj1 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6,
|  | T_arg7 | _A_arg7
| ) |  |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.
  _A_arg6 | Argument to be passed on to the functor.
  _A_arg7 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.